Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.receivers
Class RawXMLINOnlyMessageReceiver

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.axis2.receivers.AbstractInMessageReceiver
              org.apache.axis2.receivers.RawXMLINOnlyMessageReceiver

All Implemented Interfaces:
  MessageReceiver

    public class RawXMLINOnlyMessageReceiver

extends AbstractInMessageReceiver
implements MessageReceiver

The RawXMLINOnlyMessageReceiver MessageReceiver hands over the raw request received to the service implementation class as an OMElement. The implementation class is NOT expected to return any value, but may do so and it would be ignored. This is a synchronous MessageReceiver, and finds the service implementation class to invoke by referring to the "ServiceClass" parameter value specified in the service.xml and looking at the methods of the form void <>(OMElement request)

See Also:
  `RawXMLINOutMessageReceiver`, `RawXMLINOutAsyncMessageReceiver`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`AbstractMessageReceiver.AsyncMessageReceiverWorker, AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, log, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`RawXMLINOnlyMessageReceiver()`

Method Summary
`void` | `invokeBusinessLogic(MessageContext msgContext)` Invokes the business logic invocation on the service implementation class

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, receive, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis2.engine.MessageReceiver
`receive`

Constructor Detail

### RawXMLINOnlyMessageReceiver

    public RawXMLINOnlyMessageReceiver()

Method Detail

### invokeBusinessLogic

    public void invokeBusinessLogic(MessageContext msgContext)
                             throws AxisFault

  Invokes the business logic invocation on the service implementation class

  Specified by:
    `invokeBusinessLogic` in class `AbstractMessageReceiver`
  Parameters:
    `msgContext` - the incoming message context
  Throws:
    `AxisFault` - on invalid method (wrong signature)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.